#/bin/perl
use strict;
use warnings;
use Geo::METAR;
sub prt($) { print shift; }
my $met = 'YSDU 021730Z AUTO 10008KT 9999 NCD 21/18 Q1010';
my $met2 = "KFDY 251450Z 21012G21KT 8SM OVC065 04/M01 A3010 RMK 57014";
my $m = new Geo::METAR;
prt("Decode: $met\n");
$m->metar($met);
prt( $m->dump );
exit;
# eof
